shisa_enumerate_realms(3)

NAME
shisa_enumerate_realms - API function

SYNOPSIS
#include <shisa.h>

int shisa_enumerate_realms(Shisa * dbh, char *** realms, size_t * nrealms);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

char *** realms
    Returned pointer to a newly allocated array of also allocated and null-terminated UTF-8 strings with realm names.

size_t * nrealms
    Pointer to a number which is updated with the number of just allocated and returned realm strings.

DESCRIPTION
Extracts a list of all realm names in backend, as null-terminated UTF-8 strings. The caller is responsible for deallocating all strings as well as the array *realms.

RETURN VALUE
Returns SHISA_OK on success, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.